<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['shkaf-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['shkaf_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['shkaf_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['shkaf'])) {puterror($result2['skin'],$TEXT['error-shkaf1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['shkaf'])>255) {puterror($result2['skin'],$TEXT['error-shkaf2']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['shkaf'])) {$shkaf=trim($_POST['shkaf']);}
 else {$shkaf="";}
  if(empty($shkaf)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['shkaf'] = rep($_POST['shkaf']);
$_POST['shkaf_id'] = rep($_POST['shkaf_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`shkaf_id`) AS c_shkaf_id FROM `tbl_shkaf` WHERE `shkaf`='".$_POST['shkaf']."' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_shkaf_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

//*************************************
//Информация для лога
$query10 = "SELECT `shkaf` FROM `tbl_shkaf` WHERE `shkaf_id`='".$_POST['shkaf_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl9']); require_once "../utils/bottom_adm.php"; exit();}
      $result_izd = mysqli_fetch_array($result10);

$ip = $_SERVER['REMOTE_ADDR'];
$doing = $TEXT['log-shkaf3'];
$what = $result_izd['shkaf'].$TEXT['log-na'].$_POST['shkaf'].$TEXT['log-id'].$_POST['shkaf_id'];
$who = $result2['familiya']." ".$result2['name'];
//*************************************
$query = "UPDATE `tbl_shkaf` SET `shkaf` = '".$_POST['shkaf']."' WHERE `shkaf_id`='".$_POST['shkaf_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl9']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>